GET /ipamdnsproviderprofilenetworklist

GET /ipamdnsproviderprofilenetworklist

/ipamdnsproviderprofilenetworklist

Request
URI
GET
https://{api_host}/api/ipamdnsproviderprofilenetworklist
COPY
Query Parameters
string
type
Optional

IPAM/DNS provider type (one of the IpamDnsType enum values). Either this or ipamdnsprovider_uuid is required.

string
ipamdnsprovider_uuid
Optional

UUID of a specific IPAM/DNS provider profile. Either this or type is required.

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns IpamDnsSubnetDomainList of type(s) application/json
{
    "alloc_networks_and_subnets": [
        {
            "network_id": "string",
            "subnet": {
                "ip_addr": {
                    "addr": "string",
                    "type": "string"
                },
                "mask": 0
            },
            "subnet6": {
                "ip_addr": {
                    "addr": "string",
                    "type": "string"
                },
                "mask": 0
            }
        }
    ],
    "alloc_subnets_and_ranges": [
        {
            "ipv6_ranges": [
                {
                    "begin": {
                        "addr": "string",
                        "type": "string"
                    },
                    "end": {
                        "addr": "string",
                        "type": "string"
                    }
                }
            ],
            "ranges": [
                {
                    "begin": {
                        "addr": "string",
                        "type": "string"
                    },
                    "end": {
                        "addr": "string",
                        "type": "string"
                    }
                }
            ],
            "subnet": {
                "ip_addr": {
                    "addr": "string",
                    "type": "string"
                },
                "mask": 0
            },
            "subnet6": {
                "ip_addr": {
                    "addr": "string",
                    "type": "string"
                },
                "mask": 0
            }
        }
    ],
    "dns_records": {
        "num_records": 0,
        "records": [
            {
                "algorithm": "string",
                "cname": {
                    "cname": "string"
                },
                "delegated": false,
                "description": "string",
                "fqdn": [
                    "string"
                ],
                "ip6_address": [
                    {
                        "ip6_address": {
                            "addr": "string",
                            "type": "string"
                        }
                    }
                ],
                "ip_address": [
                    {
                        "ip_address": {
                            "addr": "string",
                            "type": "string"
                        }
                    }
                ],
                "metadata": "string",
                "mx_records": [
                    {
                        "host": "string",
                        "priority": 0
                    }
                ],
                "ns": [
                    {
                        "ip6_address": {
                            "addr": "string",
                            "type": "string"
                        },
                        "ip_address": {
                            "addr": "string",
                            "type": "string"
                        },
                        "nsname": "string"
                    }
                ],
                "num_records_in_response": 0,
                "service_locator": [
                    {
                        "port": 0,
                        "priority": 0,
                        "target": "string",
                        "weight": 0
                    }
                ],
                "ttl": 0,
                "txt_records": [
                    {
                        "text_str": "string"
                    }
                ],
                "type": "string",
                "wildcard_match": false
            }
        ]
    },
    "domains": [
        "string"
    ],
    "error": "string",
    "subnets": [
        {
            "ip_addr": {
                "addr": "string",
                "type": "string"
            },
            "mask": 0
        }
    ],
    "zdomains": [
        {
            "domain_name": "string",
            "domain_type": "string"
        }
    ]
}
array of object
alloc_networks_and_subnets
Optional

List of networks, v4 subnets and v6 subnets. Field introduced in 21.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
alloc_subnets_and_ranges
Optional

List of v4 and v6 subnets with ranges. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
dns_records
Optional

dns_records

array of string
domains
Optional

Domains List. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
error
Optional

Failure reason. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
subnets
Optional

Subnet List. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
zdomains
Optional

Domains List with visibility. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ipamdnsproviderprofilenetworklist